package com.dayou.mapper;

import com.dayou.entity.MajorTarget;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.IdNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 大中型项目评估对象 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-11-03
 */
public interface MajorTargetMapper extends CustomBaseMapper<MajorTarget> {

    void updateSubReportNo(@Param("list") List<IdNameVO> list);

    void updateSubStatementNo(@Param("list") List<IdNameVO> list);

    void updateSubLetterNo(@Param("list") List<IdNameVO> list);

    void updateMainReportNo(@Param("mainNumber") String mainNumber, @Param("businessId")Long businessId);

    void updateMainStatementNo(@Param("mainNumber") String mainNumber, @Param("businessId")Long businessId);

    void updateMainLetterNo(@Param("mainNumber") String mainNumber, @Param("businessId")Long businessId);

    void cleanSubReportNo(@Param("businessId") Long businessId);

    void xCleanSubReportNo(@Param("businessId") Long businessId,@Param("businessSubId") String businessSubId);

    List<String> getSubReportNo(@Param("businessId")Long businessId);


}
